%define ver 1.0

Name: libvorbis
Version: %{ver}release
Release: alt2

Summary: The Vorbis General Audio Compression Codec
Summary(ru_RU.CP1251):  Vorbis
License: BSD-like
Group: System/Libraries
Url: http://www.vorbis.com/
Source:	http://fatpipe.vorbis.com/files/%ver/unix/%name-%ver.tar.bz2
Patch1: %name-shared_examples_build.patch

Requires: libogg >= %version

# Automatically added by buildreq on Mon Jul 22 2002
BuildRequires: libogg-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%description -l ru_RU.CP1251
Ogg Vorbis -         .

%package devel
Summary: Development files for libvorbis
Group: Development/C
PreReq: %name = %version-%release
Requires: libogg-devel >= %version

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with libvorbis.

%description devel -l ru_RU.CP1251
    ,    libvorbis
  .

%package devel-static
Summary: Static libraries for libvorbis
Group: Development/C
PreReq: %name-devel = %version-%release
Requires: libogg-devel-static >= %version

%description devel-static
This package contains development libraries required for packaging
statically linked libvorbis-based software.

%description devel-static -l ru_RU.CP1251
     , 
  libvorbis    .

%prep
%setup -q -n %name-%ver
%patch1 -p1

%build
%configure --enable-static
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
install -p -m644 AUTHORS COPYING HACKING README $RPM_BUILD_ROOT%_docdir/%name-%ver

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%dir %_docdir/%name-%ver
%_docdir/%name-%ver/[A-Z]*

%files devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal/*
%dir %_docdir/%name-%ver
%_docdir/%name-%ver/[a-z]*

%files devel-static
%_libdir/*.a

%changelog
* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- building doesn't requires libogg-devel-static.
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- Fixed license tag.
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
